Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005230TestLinkBug Tracking Systems Integrationpublic2012-09-14 19:412013-05-26 18:53
Reporterrachel_hrs 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version 
Summary0005230: E_NOTICE Undefined variable warning when viewing executed test case
DescriptionIf an executed test case has a Mantis bug attached with a custom status, there is a warning generated in the event log: E_NOTICE Undefined variable: status_rs - in [path removed]/testlink/lib/issuetrackerintegration/mantisdbInterface.class.php - Line 90

Line 90 in lib/issuetrackerintegration/mantisdbInterface.class.php is currently:
$msg = sprintf($msg,$status_rs['status']);

It should be changed to:
$msg = sprintf($msg,$rs[$id]['status']);
Steps To ReproducePrerequisites:
Test project has a Mantis DB Integration
Mantis installation has custom statuses
A bug ticket with the custom status has been assigned to the execution results

Steps:
Click on the test execution link.
In the test case tree, click on the test case with the bug attached. (There should be a message on the status about the custom status being undefined.)
Click on the events link.
Notice the warning in the event log.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017486)
fman (administrator)
2012-09-15 09:30
edited on: 2012-09-15 09:42

Thanks for your help.

1.9 - http://gitorious.org/testlink-ga/testlink-code/commit/213d524519e27ef94fcde1b66918feefcbf47404 [^]

2.0 - http://gitorious.org/testlink-ga/testlink-code/commit/d51e0b7b6381b933854a3bf44c3046ddd17a1ab1 [^]


- Issue History
Date Modified Username Field Change
2012-09-14 19:41 rachel_hrs New Issue
2012-09-15 09:30 fman Note Added: 0017486
2012-09-15 09:42 fman Note Edited: 0017486 View Revisions
2012-09-15 09:42 fman Task Workflow Status TBD => READY FOR TESTING
2012-09-15 09:42 fman Status new => resolved
2012-09-15 09:42 fman Resolution open => fixed
2012-09-15 09:42 fman Assigned To => fman
2012-09-15 09:43 fman Relationship added child of 0005193
2013-05-26 18:53 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker